//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Zone {
/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Zone<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x27040C25DE6CB2F4<br />
/// </para>
/// </remarks>
public static int GetZoneAtCoords(float x, float y, float z){
return Function.Call<int>((Hash)0x27040C25DE6CB2F4uL, x, y, z);
}

/// <summary>
/// &apos;zoneName&apos; corresponds to an entry in &apos;popzone.ipl&apos;.<br /><br />AIRP = Los Santos International Airport<br />ALAMO = Alamo Sea<br />ALTA = Alta<br />ARMYB = Fort Zancudo<br />BANHAMC = Banham Canyon Dr<br />BANNING = Banning<br />BEACH = Vespucci Beach<br />BHAMCA = Banham Canyon<br />BRADP = Braddock Pass<br />BRADT = Braddock Tunnel<br />BURTON = Burton<br />CALAFB = Calafia Bridge<br />CANNY = Raton Canyon<br />CCREAK = Cassidy Creek<br />CHAMH = Chamberlain Hills<br />CHIL = Vinewood Hills<br />CHU = Chumash<br />CMSW = Chiliad Mountain State Wilderness<br />CYPRE = Cypress Flats<br />DAVIS = Davis<br />DELBE = Del Perro Beach<br />DELPE = Del Perro<br />DELSOL = La Puerta<br />DESRT = Grand Senora Desert<br />DOWNT = Downtown<br />DTVINE = Downtown Vinewood<br />EAST_V = East Vinewood<br />EBURO = El Burro Heights<br />ELGORL = El Gordo Lighthouse<br />ELYSIAN = Elysian Island<br />GALFISH = Galilee<br />GOLF = GWC and Golfing Society<br />GRAPES = Grapeseed<br />GREATC = Great Chaparral<br />HARMO = Harmony<br />HAWICK = Hawick<br />HORS = Vinewood Racetrack<br />HUMLAB = Humane Labs and Research<br />JAIL = Bolingbroke Penitentiary<br />KOREAT = Little Seoul<br />LACT = Land Act Reservoir<br />LAGO = Lago Zancudo<br />LDAM = Land Act Dam<br />LEGSQU = Legion Square<br />LMESA = La Mesa<br />LOSPUER = La Puerta<br />MIRR = Mirror Park<br />MORN = Morningwood<br />MOVIE = Richards Majestic<br />MTCHIL = Mount Chiliad<br />MTGORDO = Mount Gordo<br />MTJOSE = Mount Josiah<br />MURRI = Murrieta Heights<br />NCHU = North Chumash<br />NOOSE = N.O.O.S.E<br />OCEANA = Pacific Ocean<br />PALCOV = Paleto Cove<br />PALETO = Paleto Bay<br />PALFOR = Paleto Forest<br />PALHIGH = Palomino Highlands<br />PALMPOW = Palmer-Taylor Power Station<br />PBLUFF = Pacific Bluffs<br />PBOX = Pillbox Hill<br />PROCOB = Procopio Beach<br />RANCHO = Rancho<br />RGLEN = Richman Glen<br />RICHM = Richman<br />ROCKF = Rockford Hills<br />RTRAK = Redwood Lights Track<br />SANAND = San Andreas<br />SANCHIA = San Chianski Mountain Range<br />SANDY = Sandy Shores<br />SKID = Mission Row<br />SLAB = Stab City<br />STAD = Maze Bank Arena<br />STRAW = Strawberry<br />TATAMO = Tataviam Mountains<br />TERMINA = Terminal<br />TEXTI = Textile City<br />TONGVAH = Tongva Hills<br />TONGVAV = Tongva Valley<br />VCANA = Vespucci Canals<br />VESP = Vespucci<br />VINE = Vinewood<br />WINDF = Ron Alternates Wind Farm<br />WVINE = West Vinewood<br />ZANCUDO = Zancudo River<br />ZP_ORT = Port of South Los Santos<br />ZQ_UAR = Davis Quartz<br /><br />Full list of zones by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/zones.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Zone<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x98CD1D2934B76CC1<br />
/// </para>
/// </remarks>
public static int GetZoneFromNameId(string zoneName){
return Function.Call<int>((Hash)0x98CD1D2934B76CC1uL, zoneName);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Zone<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4334BC40AA0CB4BB<br />
/// </para>
/// </remarks>
public static int GetZonePopschedule(int zoneId){
return Function.Call<int>((Hash)0x4334BC40AA0CB4BBuL, zoneId);
}

/// <summary>
/// AIRP = Los Santos International Airport<br />ALAMO = Alamo Sea<br />ALTA = Alta<br />ARMYB = Fort Zancudo<br />BANHAMC = Banham Canyon Dr<br />BANNING = Banning<br />BEACH = Vespucci Beach<br />BHAMCA = Banham Canyon<br />BRADP = Braddock Pass<br />BRADT = Braddock Tunnel<br />BURTON = Burton<br />CALAFB = Calafia Bridge<br />CANNY = Raton Canyon<br />CCREAK = Cassidy Creek<br />CHAMH = Chamberlain Hills<br />CHIL = Vinewood Hills<br />CHU = Chumash<br />CMSW = Chiliad Mountain State Wilderness<br />CYPRE = Cypress Flats<br />DAVIS = Davis<br />DELBE = Del Perro Beach<br />DELPE = Del Perro<br />DELSOL = La Puerta<br />DESRT = Grand Senora Desert<br />DOWNT = Downtown<br />DTVINE = Downtown Vinewood<br />EAST_V = East Vinewood<br />EBURO = El Burro Heights<br />ELGORL = El Gordo Lighthouse<br />ELYSIAN = Elysian Island<br />GALFISH = Galilee<br />GOLF = GWC and Golfing Society<br />GRAPES = Grapeseed<br />GREATC = Great Chaparral<br />HARMO = Harmony<br />HAWICK = Hawick<br />HORS = Vinewood Racetrack<br />HUMLAB = Humane Labs and Research<br />JAIL = Bolingbroke Penitentiary<br />KOREAT = Little Seoul<br />LACT = Land Act Reservoir<br />LAGO = Lago Zancudo<br />LDAM = Land Act Dam<br />LEGSQU = Legion Square<br />LMESA = La Mesa<br />LOSPUER = La Puerta<br />MIRR = Mirror Park<br />MORN = Morningwood<br />MOVIE = Richards Majestic<br />MTCHIL = Mount Chiliad<br />MTGORDO = Mount Gordo<br />MTJOSE = Mount Josiah<br />MURRI = Murrieta Heights<br />NCHU = North Chumash<br />NOOSE = N.O.O.S.E<br />OCEANA = Pacific Ocean<br />PALCOV = Paleto Cove<br />PALETO = Paleto Bay<br />PALFOR = Paleto Forest<br />PALHIGH = Palomino Highlands<br />PALMPOW = Palmer-Taylor Power Station<br />PBLUFF = Pacific Bluffs<br />PBOX = Pillbox Hill<br />PROCOB = Procopio Beach<br />RANCHO = Rancho<br />RGLEN = Richman Glen<br />RICHM = Richman<br />ROCKF = Rockford Hills<br />RTRAK = Redwood Lights Track<br />SANAND = San Andreas<br />SANCHIA = San Chianski Mountain Range<br />SANDY = Sandy Shores<br />SKID = Mission Row<br />SLAB = Stab City<br />STAD = Maze Bank Arena<br />STRAW = Strawberry<br />TATAMO = Tataviam Mountains<br />TERMINA = Terminal<br />TEXTI = Textile City<br />TONGVAH = Tongva Hills<br />TONGVAV = Tongva Valley<br />VCANA = Vespucci Canals<br />VESP = Vespucci<br />VINE = Vinewood<br />WINDF = Ron Alternates Wind Farm<br />WVINE = West Vinewood<br />ZANCUDO = Zancudo River<br />ZP_ORT = Port of South Los Santos<br />ZQ_UAR = Davis Quartz<br /><br />Full list of zones by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/zones.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Zone<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCD90657D4C30E1CA<br />
/// </para>
/// </remarks>
public static string GetNameOfZone(float x, float y, float z){
return Function.Call<string>((Hash)0xCD90657D4C30E1CAuL, x, y, z);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Zone<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBA5ECEEA120E5611<br />
/// </para>
/// </remarks>
public static void SetZoneEnabled(int zoneId, bool toggle){
Function.Call((Hash)0xBA5ECEEA120E5611uL, zoneId, toggle);
}

/// <summary>
/// cellphone range 1- 5 used for signal bar in iFruit phone
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Zone<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5F7B268D15BA0739<br />
/// </para>
/// </remarks>
public static int GetZoneScumminess(int zoneId){
return Function.Call<int>((Hash)0x5F7B268D15BA0739uL, zoneId);
}

/// <summary>
/// Only used once in the decompiled scripts. Seems to be related to scripted vehicle generators.<br /><br />Modified example from &quot;am_imp_exp.c4&quot;, line 6406:<br />/* popSchedules[0] = ZONE::GET_ZONE_POPSCHEDULE(ZONE::GET_ZONE_AT_COORDS(891.3, 807.9, 188.1));<br />etc.<br />*/<br />ZONE::OVERRIDE_POPSCHEDULE_VEHICLE_MODEL(popSchedules[index], vehicleHash);<br />STREAMING::REQUEST_MODEL(vehicleHash);
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Zone<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5F7D596BAC2E7777<br />
/// </para>
/// </remarks>
public static void OverridePopscheduleVehicleModel(int scheduleId, uint vehicleHash){
Function.Call((Hash)0x5F7D596BAC2E7777uL, scheduleId, vehicleHash);
}

/// <summary>
/// Only used once in the decompiled scripts. Seems to be related to scripted vehicle generators.<br /><br />Modified example from &quot;am_imp_exp.c4&quot;, line 6418:<br />/* popSchedules[0] = ZONE::GET_ZONE_POPSCHEDULE(ZONE::GET_ZONE_AT_COORDS(891.3, 807.9, 188.1));<br />etc.<br />*/<br />STREAMING::SET_MODEL_AS_NO_LONGER_NEEDED(vehicleHash);<br />ZONE::CLEAR_POPSCHEDULE_OVERRIDE_VEHICLE_MODEL(popSchedules[index]);
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Zone<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5C0DE367AA0D911C<br />
/// </para>
/// </remarks>
public static void ClearPopscheduleOverrideVehicleModel(int scheduleId){
Function.Call((Hash)0x5C0DE367AA0D911CuL, scheduleId);
}

/// <summary>
/// Returns a hash representing which part of the map the given coords are located.<br /><br />Possible return values:<br />(Hash of) city -&gt; -289320599<br />(Hash of) countryside -&gt; 2072609373<br /><br />C# Example :<br /><br />Ped player = Game.Player.Character;<br />Hash h = Function.Call&lt;Hash&gt;(Hash.GET_HASH_OF_MAP_AREA_AT_COORDS, player.Position.X, player.Position.Y, player.Position.Z);
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Zone<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x7EE64D51E8498728<br />
/// </para>
/// </remarks>
public static uint GetHashOfMapAreaAtCoords(float x, float y, float z){
return Function.Call<uint>((Hash)0x7EE64D51E8498728uL, x, y, z);
}

}}
